%global pypi_name boto3

Summary:        The AWS SDK for Python
Name:           python-boto3
Version:        1.28.54
Release:        1%{?dist}
License:        ASL 2.0
URL:            https://github.com/boto/boto3
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Boto3 is the Amazon Web Services (AWS) Software Development Kit (SDK) for Python, which allows
Python developers to write software that makes use of services like Amazon S3 and Amazon EC2.

%package -n     python3-boto3
Summary:        The AWS SDK for Python
BuildRequires:  python3-devel python3-setuptools

%description -n python3-boto3
Boto3 is the Amazon Web Services (AWS) Software Development Kit (SDK) for Python, which allows
Python developers to write software that makes use of services like Amazon S3 and Amazon EC2.

%prep
%autosetup -n boto3-%{version}
rm -rf boto3.egg-info
rm -rf tests/integration

%build
%py3_build

%install
%py3_install

%files -n python3-boto3
%license LICENSE
%doc README.rst
%{python3_sitelib}/boto3/
%{python3_sitelib}/boto3-%{version}-*.egg-info/

%changelog
* Tue Sep 26 2023 Shuo Wang <abushwang@tencent.com> - 1.28.54-1
- update to 1.28.54

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.26.78-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.26.78-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.26.78-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.26.78-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 15 2023 Shuo Wang <abushwang@tencent.com> - 1.26.78-1
- initial build
